You are not logged in.

#1 2017-08-19 17:14:15

Head_on_a_Stick
Member
From: London
Registered: 2015-09-29
Posts: 8,759
Website

bunsen-meta-all: remove gstreamer0.1 from recommends list.

I've just noticed that the bunsen-meta-all package (in Hydrogen/Deuterium) still has gstreamer0.1-plugins-{good,bad,ugly} listed under Recommends: in debian/control, I think these should be removed (which they already have been for Helium-dev).

Is there a way of forcing removal of those packages after the next update? Would adding them to Conflicts: do the trick?


“Et ignotas animum dimittit in artes.” — Ovid, Metamorphoses, VIII., 18.

Forum Rules   •   How to report a problem   •   Software that rocks

Offline

#2 2017-08-19 17:31:50

Sector11
The Tpyo Knig Mod
From: 77345 ¡#
Registered: 2015-08-20
Posts: 5,528

Re: bunsen-meta-all: remove gstreamer0.1 from recommends list.

Awwwwwww hell.  I had them, took them out and lost sound. #\&$%&/%$&

Put them back and no go... back to the {censored} drawing board.  sad


BunsenLabs Forum Rules ---== I'm a Conky 1.9'er ==---
System:    Host: d67 Kernel: 4.9.0-9-amd64 x86_64 (64 bit gcc: 6.3.0)
Desktop: Openbox 3.6.1 Distro: Debian GNU/Linux 9 (stretch)

Offline

#3 2017-08-19 17:34:57

Head_on_a_Stick
Member
From: London
Registered: 2015-09-29
Posts: 8,759
Website

Re: bunsen-meta-all: remove gstreamer0.1 from recommends list.

Sector11 wrote:

took them out and lost sound

Please post the command output in full.

What exactly did you give permission for APT to remove (it always checks first)?

EDIT: pro-tip:

aptitude --simulate purge gstreamer0.1-plugins-{good,bad,ugly}

Can anyone test this in BL?

I'm in Arch atm.

Last edited by Head_on_a_Stick (2017-08-19 17:37:15)


“Et ignotas animum dimittit in artes.” — Ovid, Metamorphoses, VIII., 18.

Forum Rules   •   How to report a problem   •   Software that rocks

Offline

#4 2017-08-19 18:00:11

Sector11
The Tpyo Knig Mod
From: 77345 ¡#
Registered: 2015-08-20
Posts: 5,528

Re: bunsen-meta-all: remove gstreamer0.1 from recommends list.

  1. found them - see code box

  2. simulated a remove - looked good - see code box

  3. removed them, and

  4. lost sound

  5. then I reinstalled them

  6. hell of a lot of static - sound on/off/on/off

  7. rebooted

  8. messed around in qasmixer (ch2 to ch6 and other settings) to get things working again.

  9. sound OK

 19 Aug 17 @ 14:47:15 ~
   $ ser gstreamer1.0-plugins
alias ser = aptitude search
i   gstreamer1.0-plugins-bad                         - GStreamer plugins from the "bad" set                       
p   gstreamer1.0-plugins-bad:i386                    - GStreamer plugins from the "bad" set                       
i   gstreamer1.0-plugins-bad-dbg                     - GStreamer plugins from the "bad" set (debug symbols)       
p   gstreamer1.0-plugins-bad-dbg:i386                - GStreamer plugins from the "bad" set (debug symbols)       
i   gstreamer1.0-plugins-bad-doc                     - GStreamer documentation for plugins from the "bad" set     
i   gstreamer1.0-plugins-base                        - GStreamer plugins from the "base" set                      
p   gstreamer1.0-plugins-base:i386                   - GStreamer plugins from the "base" set                      
i   gstreamer1.0-plugins-base-apps                   - GStreamer helper programs from the "base" set              
p   gstreamer1.0-plugins-base-apps:i386              - GStreamer helper programs from the "base" set              
i   gstreamer1.0-plugins-base-dbg                    - GStreamer plugins from the "base" set                      
p   gstreamer1.0-plugins-base-dbg:i386               - GStreamer plugins from the "base" set                      
i   gstreamer1.0-plugins-base-doc                    - GStreamer documentation for plugins from the "base" set    
i   gstreamer1.0-plugins-good                        - GStreamer plugins from the "good" set                      
p   gstreamer1.0-plugins-good:i386                   - GStreamer plugins from the "good" set                      
i   gstreamer1.0-plugins-good-dbg                    - GStreamer plugins from the "good" set                      
p   gstreamer1.0-plugins-good-dbg:i386               - GStreamer plugins from the "good" set                      
i   gstreamer1.0-plugins-good-doc                    - GStreamer documentation for plugins from the "good" set    
i   gstreamer1.0-plugins-ugly                        - GStreamer plugins from the "ugly" set                      
p   gstreamer1.0-plugins-ugly:i386                   - GStreamer plugins from the "ugly" set                      
i   gstreamer1.0-plugins-ugly-dbg                    - GStreamer plugins from the "ugly" set (debug symbols)      
p   gstreamer1.0-plugins-ugly-dbg:i386               - GStreamer plugins from the "ugly" set (debug symbols)      
i   gstreamer1.0-plugins-ugly-doc                    - GStreamer documentation for plugins from the "ugly" set    
 
 19 Aug 17 @ 14:47:59 ~
   $ saremv gstreamer1.0-plugins-bad gstreamer1.0-plugins-bad-dbg gstreamer1.0-plugins-bad-doc gstreamer1.0-plugins-good gstreamer1.0-plugins-good-dbg gstreamer1.0-plugins-good-doc gstreamer1.0-plugins-ugly gstreamer1.0-plugins-ugly-dbg gstreamer1.0-plugins-ugly-doc
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages will be REMOVED:
  gstreamer1.0-plugins-bad* gstreamer1.0-plugins-bad-dbg* gstreamer1.0-plugins-bad-doc*
  gstreamer1.0-plugins-good* gstreamer1.0-plugins-good-dbg* gstreamer1.0-plugins-good-doc*
  gstreamer1.0-plugins-ugly* gstreamer1.0-plugins-ugly-dbg* gstreamer1.0-plugins-ugly-doc*
0 upgraded, 0 newly installed, 9 to remove and 0 not upgraded.
Purg gstreamer1.0-plugins-bad-dbg [1.4.4-2.1+deb8u2]
Purg gstreamer1.0-plugins-bad [1.4.4-2.1+deb8u2]
Purg gstreamer1.0-plugins-bad-doc [1.4.4-2.1+deb8u2]
Purg gstreamer1.0-plugins-good-dbg [1.4.4-2+deb8u3]
Purg gstreamer1.0-plugins-good [1.4.4-2+deb8u3]
Purg gstreamer1.0-plugins-good-doc [1.4.4-2+deb8u3]
Purg gstreamer1.0-plugins-ugly-dbg [1.4.4-2+deb8u1]
Purg gstreamer1.0-plugins-ugly [1.4.4-2+deb8u1]
Purg gstreamer1.0-plugins-ugly-doc [1.4.4-2+deb8u1]
 
 19 Aug 17 @ 14:51:20 ~
   $ 

BunsenLabs Forum Rules ---== I'm a Conky 1.9'er ==---
System:    Host: d67 Kernel: 4.9.0-9-amd64 x86_64 (64 bit gcc: 6.3.0)
Desktop: Openbox 3.6.1 Distro: Debian GNU/Linux 9 (stretch)

Offline

#5 2017-08-19 18:01:35

Sector11
The Tpyo Knig Mod
From: 77345 ¡#
Registered: 2015-08-20
Posts: 5,528

Re: bunsen-meta-all: remove gstreamer0.1 from recommends list.

 19 Aug 17 @ 14:51:20 ~
   $ alias aremv
alias aremv='sudo apt-get autoremove --purge'
 
 19 Aug 17 @ 15:00:52 ~
   $ alias saremv
alias saremv='sudo apt-get autoremove --purge --simulate'
 
 19 Aug 17 @ 15:01:03 ~
   $ 

BunsenLabs Forum Rules ---== I'm a Conky 1.9'er ==---
System:    Host: d67 Kernel: 4.9.0-9-amd64 x86_64 (64 bit gcc: 6.3.0)
Desktop: Openbox 3.6.1 Distro: Debian GNU/Linux 9 (stretch)

Offline

#6 2017-08-19 18:03:26

Head_on_a_Stick
Member
From: London
Registered: 2015-09-29
Posts: 8,759
Website

Re: bunsen-meta-all: remove gstreamer0.1 from recommends list.

^^ Why have you attempted to remove 1.0?

The 0.1 set are the ones we need to drop.

Also, don't use `sudo` with "--simulate", there is absolutely no need.

EDIT: `apt-get autoremove --purge` is *not* the same as `aptitude purge`

Last edited by Head_on_a_Stick (2017-08-19 18:07:37)


“Et ignotas animum dimittit in artes.” — Ovid, Metamorphoses, VIII., 18.

Forum Rules   •   How to report a problem   •   Software that rocks

Offline

#7 2017-08-19 18:08:02

Sector11
The Tpyo Knig Mod
From: 77345 ¡#
Registered: 2015-08-20
Posts: 5,528

Re: bunsen-meta-all: remove gstreamer0.1 from recommends list.

 19 Aug 17 @ 15:02:38 ~
   $ aptitude --simulate purge gstreamer0.1-plugins-{good,bad,ugly}
Couldn't find any package whose name or description matched "gstreamer0.1-plugins-good"
Couldn't find any package whose name or description matched "gstreamer0.1-plugins-bad"
Couldn't find any package whose name or description matched "gstreamer0.1-plugins-ugly"
Couldn't find any package whose name or description matched "gstreamer0.1-plugins-good"
Couldn't find any package whose name or description matched "gstreamer0.1-plugins-bad"
Couldn't find any package whose name or description matched "gstreamer0.1-plugins-ugly"
No packages will be installed, upgraded, or removed.
0 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B of archives. After unpacking 0 B will be used.
Would download/install/remove packages.
 
 19 Aug 17 @ 15:02:49 ~
   $ aptitude --simulate purge gstreamer1.0-plugins-{good,bad,ugly}
The following packages will be REMOVED:  
  gstreamer1.0-plugins-bad{p} gstreamer1.0-plugins-good{p} gstreamer1.0-plugins-ugly{p} 
0 packages upgraded, 0 newly installed, 3 to remove and 0 not upgraded.
Need to get 0 B of archives. After unpacking 14.7 MB will be freed.
The following packages have unmet dependencies:
 gstreamer1.0-plugins-bad-dbg : Depends: gstreamer1.0-plugins-bad (= 1.4.4-2.1+deb8u2) but it is not going to be installed.
 gstreamer1.0-plugins-ugly-dbg : Depends: gstreamer1.0-plugins-ugly (= 1.4.4-2+deb8u1) but it is not going to be installed.
 gstreamer1.0-plugins-good-dbg : Depends: gstreamer1.0-plugins-good (= 1.4.4-2+deb8u3) but it is not going to be installed.
The following actions will resolve these dependencies:

     Remove the following packages: 
1)     gstreamer1.0-plugins-bad-dbg 
2)     gstreamer1.0-plugins-good-dbg
3)     gstreamer1.0-plugins-ugly-dbg



Accept this solution? [Y/n/q/?] y
The following packages will be REMOVED:
  gstreamer1.0-plugins-bad{p} gstreamer1.0-plugins-bad-dbg{a} gstreamer1.0-plugins-good{p} 
  gstreamer1.0-plugins-good-dbg{a} gstreamer1.0-plugins-ugly{p} gstreamer1.0-plugins-ugly-dbg{a} 
0 packages upgraded, 0 newly installed, 6 to remove and 0 not upgraded.
Need to get 0 B of archives. After unpacking 31.1 MB will be freed.
Do you want to continue? [Y/n/?] n
Abort.
 
 19 Aug 17 @ 15:04:09 ~
   $ aptitude --simulate purge gstreamer1.0-plugins-{good,bad,ugly} gstreamer1.0-plugins-{good,bad,ugly}-dbg
The following packages will be REMOVED:  
  gstreamer1.0-plugins-bad{p} gstreamer1.0-plugins-bad-dbg{p} gstreamer1.0-plugins-good{p} 
  gstreamer1.0-plugins-good-dbg{p} gstreamer1.0-plugins-ugly{p} gstreamer1.0-plugins-ugly-dbg{p} 
0 packages upgraded, 0 newly installed, 6 to remove and 0 not upgraded.
Need to get 0 B of archives. After unpacking 31.1 MB will be freed.
Do you want to continue? [Y/n/?] 
Would download/install/remove packages.
 
 19 Aug 17 @ 15:05:15 ~
   $ 

BunsenLabs Forum Rules ---== I'm a Conky 1.9'er ==---
System:    Host: d67 Kernel: 4.9.0-9-amd64 x86_64 (64 bit gcc: 6.3.0)
Desktop: Openbox 3.6.1 Distro: Debian GNU/Linux 9 (stretch)

Offline

#8 2017-08-19 18:10:16

Head_on_a_Stick
Member
From: London
Registered: 2015-09-29
Posts: 8,759
Website

Re: bunsen-meta-all: remove gstreamer0.1 from recommends list.

Yes, yes, we want to keep gstreamer1.0-blah, those packages are (relatively) fine.

As APT cannot find gstreamer0.1 then I can only presume that you are posting from a Helium-dev system; this thread is about Hydrogen/Deuterium.


“Et ignotas animum dimittit in artes.” — Ovid, Metamorphoses, VIII., 18.

Forum Rules   •   How to report a problem   •   Software that rocks

Offline

#9 2017-08-19 18:11:26

Sector11
The Tpyo Knig Mod
From: 77345 ¡#
Registered: 2015-08-20
Posts: 5,528

Re: bunsen-meta-all: remove gstreamer0.1 from recommends list.

I thought the 1.0 and 0.1 was an error ... and it was: on my part.

no sudo with simulate ... interesting I've been using it for Y*E*A*R*S


BunsenLabs Forum Rules ---== I'm a Conky 1.9'er ==---
System:    Host: d67 Kernel: 4.9.0-9-amd64 x86_64 (64 bit gcc: 6.3.0)
Desktop: Openbox 3.6.1 Distro: Debian GNU/Linux 9 (stretch)

Offline

#10 2017-08-19 18:21:43

Sector11
The Tpyo Knig Mod
From: 77345 ¡#
Registered: 2015-08-20
Posts: 5,528

Re: bunsen-meta-all: remove gstreamer0.1 from recommends list.

Hmmm depends on what you are doing:

 19 Aug 17 @ 15:14:13 ~
   $ sget gnome-sudoku
alias sget='apt install --no-install-recommends --simulate'

NOTE: This is only a simulation!
      apt-get needs root privileges for real execution.
      Keep also in mind that locking is deactivated,
      so don't depend on the relevance to the real current situation!
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
  libgee-0.8-2 libqqwing2
Recommended packages:
  yelp
The following NEW packages will be installed:
  gnome-sudoku libgee-0.8-2 libqqwing2
0 upgraded, 3 newly installed, 0 to remove and 0 not upgraded.
Inst libgee-0.8-2 (0.16.1-1+deb8u1 Debian:8.9/oldstable [amd64])
Inst libqqwing2 (1.3.2-1 Debian:8.9/oldstable [amd64])
Inst gnome-sudoku (1:3.14.1-1+deb8u1 Debian:8.9/oldstable [amd64])
Conf libgee-0.8-2 (0.16.1-1+deb8u1 Debian:8.9/oldstable [amd64])
Conf libqqwing2 (1.3.2-1 Debian:8.9/oldstable [amd64])
Conf gnome-sudoku (1:3.14.1-1+deb8u1 Debian:8.9/oldstable [amd64])
 
 19 Aug 17 @ 15:14:29 ~
   $ 

Works fine

But this doesn't

 19 Aug 17 @ 15:14:55 ~
   $ sup2
alias sup2='apt update && apt dist-upgrade --no-install-recommends --simulate'

E: Could not open lock file /var/lib/apt/lists/lock - open (13: Permission denied)
E: Unable to lock directory /var/lib/apt/lists/
E: Could not open lock file /var/lib/dpkg/lock - open (13: Permission denied)
E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?
 
 19 Aug 17 @ 15:15:01 ~
   $ 

BunsenLabs Forum Rules ---== I'm a Conky 1.9'er ==---
System:    Host: d67 Kernel: 4.9.0-9-amd64 x86_64 (64 bit gcc: 6.3.0)
Desktop: Openbox 3.6.1 Distro: Debian GNU/Linux 9 (stretch)

Offline

#11 2017-08-19 18:27:20

Sector11
The Tpyo Knig Mod
From: 77345 ¡#
Registered: 2015-08-20
Posts: 5,528

Re: bunsen-meta-all: remove gstreamer0.1 from recommends list.

Head_on_a_Stick wrote:

Yes, yes, we want to keep gstreamer1.0-blah, those packages are (relatively) fine.

As APT cannot find gstreamer0.1 then I can only presume that you are posting from a Helium-dev system; this thread is about Hydrogen/Deuterium.

I don't have a BL system here at the moment, Hydrogen/Deuterium crapped on on me if you remember, so I net-installed D8 and built it up from scratch and using by backups of Hydrogen.

   $ sys
System:    Host: s12 Kernel: 3.16.0-4-amd64 x86_64 (64 bit gcc: 4.8.4) Desktop: Openbox 3.5.2 dm: (startx)
           Distro: Debian GNU/Linux 8
 
   $ 

BunsenLabs Forum Rules ---== I'm a Conky 1.9'er ==---
System:    Host: d67 Kernel: 4.9.0-9-amd64 x86_64 (64 bit gcc: 6.3.0)
Desktop: Openbox 3.6.1 Distro: Debian GNU/Linux 9 (stretch)

Offline

#12 2017-08-19 18:30:29

Head_on_a_Stick
Member
From: London
Registered: 2015-09-29
Posts: 8,759
Website

Re: bunsen-meta-all: remove gstreamer0.1 from recommends list.

Sector11 wrote:

this doesn't

 19 Aug 17 @ 15:14:55 ~
   $ sup2
alias sup2='apt update && apt dist-upgrade --no-install-recommends --simulate'

Try:

sudo apt update && apt --simulate upgrade

Pointless really though — why would you ever refuse an update in Debian stable?  hmm

Using "--no-install-recommends" with `apt-get dist-upgrade` sounds like asking for trouble to me btw...


“Et ignotas animum dimittit in artes.” — Ovid, Metamorphoses, VIII., 18.

Forum Rules   •   How to report a problem   •   Software that rocks

Offline

#13 2017-08-19 18:31:47

Head_on_a_Stick
Member
From: London
Registered: 2015-09-29
Posts: 8,759
Website

Re: bunsen-meta-all: remove gstreamer0.1 from recommends list.

Sector11 wrote:

I don't have a BL system here at the moment

This thread isn't in Help & Support (Other)...  tongue


“Et ignotas animum dimittit in artes.” — Ovid, Metamorphoses, VIII., 18.

Forum Rules   •   How to report a problem   •   Software that rocks

Offline

#14 2017-08-19 19:35:56

Sector11
The Tpyo Knig Mod
From: 77345 ¡#
Registered: 2015-08-20
Posts: 5,528

Re: bunsen-meta-all: remove gstreamer0.1 from recommends list.

Sorry, won't happen again.  tongue


BunsenLabs Forum Rules ---== I'm a Conky 1.9'er ==---
System:    Host: d67 Kernel: 4.9.0-9-amd64 x86_64 (64 bit gcc: 6.3.0)
Desktop: Openbox 3.6.1 Distro: Debian GNU/Linux 9 (stretch)

Offline

#15 2017-08-20 01:55:38

Bearded_Blunder
Dodging A Bullet
From: Seat: seat0; vc7
Registered: 2015-09-29
Posts: 730

Re: bunsen-meta-all: remove gstreamer0.1 from recommends list.

Head_on_a_Stick wrote:

Is there a way of forcing removal of those packages after the next update? Would adding them to Conflicts: do the trick?

What breaks if you do.. Helium-Dev is another teapot of  tadpoles, gstreamer0.1 is removed from stretch leaving little choice, I say.. leave that decision to Debian, or Debian Security Team. If they pull them from the repos that's different, until then well....


Blessed is he who expecteth nothing, for he shall not be disappointed...
If there's an obscure or silly way to break it, but you don't know what.. Just ask me

Offline

#16 2017-08-20 04:34:35

johnraff
nullglob
From: Nagoya, Japan
Registered: 2015-09-09
Posts: 5,721
Website

Re: bunsen-meta-all: remove gstreamer0.1 from recommends list.

Head_on_a_Stick wrote:

I've just noticed that the bunsen-meta-all package (in Hydrogen/Deuterium) still has gstreamer0.1-plugins-{good,bad,ugly} listed under Recommends: in debian/control, I think these should be removed (which they already have been for Helium-dev).

Is there a way of forcing removal of those packages after the next update? Would adding them to Conflicts: do the trick?

This doesn't seem to be on for Debian 8. A number of apps I use regularly still use those libs and would be removed too. I suppose we should remove them from the Recommends though.
EDIT: Done in GitHub bunsen-meta-all (8.0-5).

Head_on_a_Stick wrote:

Also, don't use `sudo` with "--simulate", there is absolutely no need.

apt-get -s upgrade wrote:

NOTE: This is only a simulation!
      apt-get needs root privileges for real execution.
      Keep also in mind that locking is deactivated,
      so don't depend on the relevance to the real current situation!

So a user might be forgiven for thinking sudo was better.

Last edited by johnraff (2017-08-20 04:42:52)


John
--------------------
( a boring Japan blog , Japan Links, idle twitterings  and GitStuff )
In case you forget, the rules.

Offline

Board footer

Powered by FluxBB